Scilab Function

return - sortie d'une fonction ou reprise d'exécution, avec récupération de variables locales

### Sequence d'appel

  `return`
  `[x1,..,xn]=return(a1,..,an)`

### Parametres

- `x`

### Description

Dans une fonction `return` termine son exécution et `[..]=return(..)` renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi`.

En mode de `pause`, cela permet de reprendre l'exécution et `[..]=return(..)` renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi`.

Utilisé dans l'argument de `execstr` appelé dans une fonction, `[..]=return(..)` termine l'exécution de la fonction et renvoie les variables locales `ai` dans l'environnement appelant sous les noms `xi`.

`return` est équivalent à `resume`.

### Voir aussi

`abort` `break` `resume`